XmLGridRowColumnToXY(3X)

NAME
XmLGridRowColumnToXY - return coordinates of a cell

SYNTAX
int XmLGridRowColumnToXY(widget, rowType, row, columnType, column, clipped, rect)
Widget widget;
unsigned char rowType;
int row;
unsigned char columnType;
int column;
Boolean clipped;
XRectangle *rect;

ARGUMENTS

widget
    Grid widget ID

rowType
    type of row

row position of row

columnType
    type of column

column
    position of column

clipped
    return clipped or unclipped coordinates

rect
    cell geometry

DESCRIPTION
Returns the current coordinates of the cell specified by the row of type rowType and column of type columnType in the rectangle rect. If clipped is True, the rectangle returned will be the cell's rectangle clipped to the current viewing area. If clipped is False, the rectangle returned will be the cell's unclipped rectangle, a rectangle with the full width and height of the cell, not clipped to the viewport. The unclipped cell rectangle is usually used to determine positioning based on cell alignment.

RETURN VALUE
0 is returned upon success, and a value of -1 is returned if the row and column position is invalid or if the cell is currently not visible.

SEE ALSO
XmLGridXYToRowColumn(3X)